View Issue Details

IDProjectCategoryView StatusLast Update
0029126LazarusIDEpublic2015-12-06 10:00
ReportermalcomeAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformWindowsOSWindowsOS VersionWindows 7
Product Version1.5 (SVN)Product Buildr50556 
Target VersionFixed in Version1.7 (SVN) 
Summary0029126: IDE Editor(SynEdit) problem with IME
Description1 Open Japanese IME. (1.png)
2 Input "a" and "i". It appears Japanese Hiragana "あい". (2.png)
3 When push space key, error message apperas. (3.png)

I confirmed that on "Microsoft IME" and "Google IME".
Lazarus 1.4 does not have this problem.
TagsNo tags attached.
Fixed in Revision50592
LazTarget1.6
WidgetsetWin32/Win64
Attached Files

Activities

malcome

2015-12-02 01:56

reporter  

1.png (31,560 bytes)
1.png (31,560 bytes)

malcome

2015-12-02 01:57

reporter  

2.png (34,899 bytes)
2.png (34,899 bytes)

malcome

2015-12-02 01:57

reporter  

3.png (80,899 bytes)
3.png (80,899 bytes)

Martin Friebe

2015-12-04 02:51

manager   ~0087783

Please test and close if ok.

This is code that should move the "selected area" (when doing conversions, selecting alternate chars) into the visible area of the editor.

This is mainly an issue if you typed a very long sequence, and then you can "edit" individual bits of it. Horizontal scrolling must be adjusted.

malcome

2015-12-06 10:00

reporter   ~0087810

Thanks always.

Issue History

Date Modified Username Field Change
2015-12-02 01:56 malcome New Issue
2015-12-02 01:56 malcome File Added: 1.png
2015-12-02 01:57 malcome File Added: 2.png
2015-12-02 01:57 malcome File Added: 3.png
2015-12-02 02:02 Martin Friebe Assigned To => Martin Friebe
2015-12-02 02:02 Martin Friebe Status new => assigned
2015-12-04 02:51 Martin Friebe Fixed in Revision => 50592
2015-12-04 02:51 Martin Friebe LazTarget => 1.6
2015-12-04 02:51 Martin Friebe Note Added: 0087783
2015-12-04 02:51 Martin Friebe Status assigned => resolved
2015-12-04 02:51 Martin Friebe Fixed in Version => 1.7 (SVN)
2015-12-04 02:51 Martin Friebe Resolution open => fixed
2015-12-06 10:00 malcome Note Added: 0087810
2015-12-06 10:00 malcome Status resolved => closed